Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.gui
Class RelationTreeModel

    java.lang.Object
      com.declarativa.interprolog.gui.RelationTreeModel

All Implemented Interfaces:
  TreeModel

public class RelationTreeModel
extends Object
implements TreeModel

Nested Class Summary
`static class` | `RelationTreeModel.BrowseAction`
`static class` | `RelationTreeModel.NodeDescriptionTriple`

Constructor Summary
`RelationTreeModel(PrologEngine engine, String relationFunctor, Object root)`

Method Summary
`void` | `addTreeModelListener(TreeModelListener l)`
`static void` | `browseRelation(PrologEngine engine, String relationFunctor, Object top)`
`static ObjectExamplePair` | `example()`
`Object` | `getChild(Object parent, int index)`
`int` | `getChildCount(Object parent)`
`int` | `getIndexOfChild(Object parent, Object child)`
`Object` | `getRoot()`
`boolean` | `isLeaf(Object node)`
`void` | `removeTreeModelListener(TreeModelListener l)`
`void` | `valueForPathChanged(TreePath path, Object newValue)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationTreeModel

    public RelationTreeModel(PrologEngine engine,
                             String relationFunctor,
                             Object root)

Method Detail

### browseRelation

    public static void browseRelation(PrologEngine engine,
                                      String relationFunctor,
                                      Object top)

### getRoot

    public Object getRoot()

  Specified by:
    `getRoot` in interface `TreeModel`

### getChild

    public Object getChild(Object parent,
                           int index)

  Specified by:
    `getChild` in interface `TreeModel`

### getChildCount

    public int getChildCount(Object parent)

  Specified by:
    `getChildCount` in interface `TreeModel`

### isLeaf

    public boolean isLeaf(Object node)

  Specified by:
    `isLeaf` in interface `TreeModel`

### valueForPathChanged

    public void valueForPathChanged(TreePath path,
                                    Object newValue)

  Specified by:
    `valueForPathChanged` in interface `TreeModel`

### getIndexOfChild

    public int getIndexOfChild(Object parent,
                               Object child)

  Specified by:
    `getIndexOfChild` in interface `TreeModel`

### addTreeModelListener

    public void addTreeModelListener(TreeModelListener l)

  Specified by:
    `addTreeModelListener` in interface `TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(TreeModelListener l)

  Specified by:
    `removeTreeModelListener` in interface `TreeModel`

### example

    public static ObjectExamplePair example()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD